Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar31
Class SessionBeanTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar31.SessionBeanTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, SessionBeanType<T>

    public class SessionBeanTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, SessionBeanType<T>

This class implements the `session-beanType` xsd type

Original Documentation:

The session-beanType declares an session bean. The
declaration consists of:
- an optional description
- an optional display name
- an optional icon element that contains a small and a large
icon file name
- a name assigned to the enterprise bean
in the deployment description
- an optional mapped-name element that can be used to provide
vendor-specific deployment information such as the physical
jndi-name of the session bean's remote home/business interface.
This element is not required to be supported by all
implementations. Any use of this element is non-portable.
- the names of all the remote or local business interfaces,
if any
- the names of the session bean's remote home and
remote interfaces, if any
- the names of the session bean's local home and
local interfaces, if any
- an optional declaration that this bean exposes a
no-interface view
- the name of the session bean's web service endpoint
interface, if any
- the session bean's implementation class
- the session bean's state management type
- an optional declaration of a stateful session bean's timeout value
- an optional declaration of the session bean's timeout method for
handling programmatically created timers
- an optional declaration of timers to be automatically created at
deployment time
- an optional declaration that a Singleton bean has eager
initialization
- an optional declaration of a Singleton/Stateful bean's concurrency
management type
- an optional declaration of the method locking metadata
for a Singleton with container managed concurrency
- an optional declaration of the other Singleton beans in the
application that must be initialized before this bean
- an optional declaration of the session bean's asynchronous
methods
- the optional session bean's transaction management type.
If it is not present, it is defaulted to Container.
- an optional declaration of a stateful session bean's
afterBegin, beforeCompletion, and/or afterCompletion methods
- an optional list of the session bean class and/or
superclass around-invoke methods.
- an optional list of the session bean class and/or
superclass around-timeout methods.
- an optional declaration of the bean's
environment entries
- an optional declaration of the bean's EJB references
- an optional declaration of the bean's local
EJB references
- an optional declaration of the bean's web
service references
- an optional declaration of the security role
references
- an optional declaration of the security identity
to be used for the execution of the bean's methods
- an optional declaration of the bean's resource
manager connection factory references
- an optional declaration of the bean's resource
environment references.
- an optional declaration of the bean's message
destination references
The elements that are optional are "optional" in the sense
that they are omitted when if lists represented by them are
empty.
The service-endpoint element may only be specified if the
bean is a stateless session bean.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`SessionBeanTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`SessionBeanTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`NamedMethodType<SessionBeanType<T>>` | `afterBeginMethod()` If not already created, a new `after-begin-method` element will be created and returned.
`NamedMethodType<SessionBeanType<T>>` | `afterCompletionMethod()` If not already created, a new `after-completion-method` element will be created and returned.
`AroundInvokeType<SessionBeanType<T>>` | `aroundInvoke()` Returns the `around-invoke` element
`AroundTimeoutType<SessionBeanType<T>>` | `aroundTimeout()` Returns the `around-timeout` element
`AsyncMethodType<SessionBeanType<T>>` | `asyncMethod()` Returns the `async-method` element
`NamedMethodType<SessionBeanType<T>>` | `beforeCompletionMethod()` If not already created, a new `before-completion-method` element will be created and returned.
`ConcurrentMethodType<SessionBeanType<T>>` | `concurrentMethod()` Returns the `concurrent-method` element
`DataSourceType<SessionBeanType<T>>` | `dataSource()` Returns the `data-source` element
`DependsOnType<SessionBeanType<T>>` | `dependsOn()` If not already created, a new `depends-on` element will be created and returned.
`EjbLocalRefType<SessionBeanType<T>>` | `ejbLocalRef()` Returns the `ejb-local-ref` element
`EjbRefType<SessionBeanType<T>>` | `ejbRef()` Returns the `ejb-ref` element
`EnvEntryType<SessionBeanType<T>>` | `envEntry()` Returns the `env-entry` element
`java.util.List<AroundInvokeType<SessionBeanType<T>>>` | `getAroundInvokeList()` Returns all `around-invoke` elements
`java.util.List<AroundTimeoutType<SessionBeanType<T>>>` | `getAroundTimeoutList()` Returns all `around-timeout` elements
`java.util.List<AsyncMethodType<SessionBeanType<T>>>` | `getAsyncMethodList()` Returns all `async-method` elements
`java.util.List<java.lang.String>` | `getBusinessLocalList()` Returns all `business-local` elements
`java.util.List<java.lang.String>` | `getBusinessRemoteList()` Returns all `business-remote` elements
`ConcurrencyManagementTypeType` | `getConcurrencyManagementType()` Returns the `concurrency-management-type` element
`java.lang.String` | `getConcurrencyManagementTypeAsString()` Returns the `concurrency-management-type` element
`java.util.List<ConcurrentMethodType<SessionBeanType<T>>>` | `getConcurrentMethodList()` Returns all `concurrent-method` elements
`java.util.List<DataSourceType<SessionBeanType<T>>>` | `getDataSourceList()` Returns all `data-source` elements
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.lang.String` | `getEjbClass()` Returns the `ejb-class` element
`java.util.List<EjbLocalRefType<SessionBeanType<T>>>` | `getEjbLocalRefList()` Returns all `ejb-local-ref` elements
`java.lang.String` | `getEjbName()` Returns the `ejb-name` element
`java.util.List<EjbRefType<SessionBeanType<T>>>` | `getEjbRefList()` Returns all `ejb-ref` elements
`java.util.List<EnvEntryType<SessionBeanType<T>>>` | `getEnvEntryList()` Returns all `env-entry` elements
`java.lang.String` | `getHome()` Returns the `home` element
`java.util.List<IconType<SessionBeanType<T>>>` | `getIconList()` Returns all `icon` elements
`java.util.List<InitMethodType<SessionBeanType<T>>>` | `getInitMethodList()` Returns all `init-method` elements
`java.lang.String` | `getLocal()` Returns the `local` element
`java.lang.String` | `getLocalHome()` Returns the `local-home` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`java.util.List<MessageDestinationRefType<SessionBeanType<T>>>` | `getMessageDestinationRefList()` Returns all `message-destination-ref` elements
`java.util.List<PersistenceContextRefType<SessionBeanType<T>>>` | `getPersistenceContextRefList()` Returns all `persistence-context-ref` elements
`java.util.List<PersistenceUnitRefType<SessionBeanType<T>>>` | `getPersistenceUnitRefList()` Returns all `persistence-unit-ref` elements
`java.util.List<LifecycleCallbackType<SessionBeanType<T>>>` | `getPostActivateList()` Returns all `post-activate` elements
`java.util.List<LifecycleCallbackType<SessionBeanType<T>>>` | `getPostConstructList()` Returns all `post-construct` elements
`java.util.List<LifecycleCallbackType<SessionBeanType<T>>>` | `getPreDestroyList()` Returns all `pre-destroy` elements
`java.util.List<LifecycleCallbackType<SessionBeanType<T>>>` | `getPrePassivateList()` Returns all `pre-passivate` elements
`java.lang.String` | `getRemote()` Returns the `remote` element
`java.util.List<RemoveMethodType<SessionBeanType<T>>>` | `getRemoveMethodList()` Returns all `remove-method` elements
`java.util.List<ResourceEnvRefType<SessionBeanType<T>>>` | `getResourceEnvRefList()` Returns all `resource-env-ref` elements
`java.util.List<ResourceRefType<SessionBeanType<T>>>` | `getResourceRefList()` Returns all `resource-ref` elements
`java.util.List<SecurityRoleRefType<SessionBeanType<T>>>` | `getSecurityRoleRefList()` Returns all `security-role-ref` elements
`java.lang.String` | `getServiceEndpoint()` Returns the `service-endpoint` element
`SessionTypeType` | `getSessionType()` Returns the `session-type` element
`java.lang.String` | `getSessionTypeAsString()` Returns the `session-type` element
`java.util.List<TimerType<SessionBeanType<T>>>` | `getTimerList()` Returns all `timer` elements
`TransactionTypeType` | `getTransactionType()` Returns the `transaction-type` element
`java.lang.String` | `getTransactionTypeAsString()` Returns the `transaction-type` element
`IconType<SessionBeanType<T>>` | `icon()` Returns the `icon` element
`InitMethodType<SessionBeanType<T>>` | `initMethod()` Returns the `init-method` element
`java.lang.Boolean` | `isInitOnStartup()` Returns the `init-on-startup` element
`java.lang.Boolean` | `isLocalBean()`
`SessionBeanType<T>` | `localBean()`
`MessageDestinationRefType<SessionBeanType<T>>` | `messageDestinationRef()` Returns the `message-destination-ref` element
`PersistenceContextRefType<SessionBeanType<T>>` | `persistenceContextRef()` Returns the `persistence-context-ref` element
`PersistenceUnitRefType<SessionBeanType<T>>` | `persistenceUnitRef()` Returns the `persistence-unit-ref` element
`LifecycleCallbackType<SessionBeanType<T>>` | `postActivate()` Returns the `post-activate` element
`LifecycleCallbackType<SessionBeanType<T>>` | `postConstruct()` Returns the `post-construct` element
`LifecycleCallbackType<SessionBeanType<T>>` | `preDestroy()` Returns the `pre-destroy` element
`LifecycleCallbackType<SessionBeanType<T>>` | `prePassivate()` Returns the `pre-passivate` element
`SessionBeanType<T>` | `removeAfterBeginMethod()` Removes the `after-begin-method` element
`SessionBeanType<T>` | `removeAfterCompletionMethod()` Removes the `after-completion-method` element
`SessionBeanType<T>` | `removeAllAroundInvoke()` Removes all `around-invoke` elements
`SessionBeanType<T>` | `removeAllAroundTimeout()` Removes all `around-timeout` elements
`SessionBeanType<T>` | `removeAllAsyncMethod()` Removes all `async-method` elements
`SessionBeanType<T>` | `removeAllBusinessLocal()` Removes the `business-local` element
`SessionBeanType<T>` | `removeAllBusinessRemote()` Removes the `business-remote` element
`SessionBeanType<T>` | `removeAllConcurrentMethod()` Removes all `concurrent-method` elements
`SessionBeanType<T>` | `removeAllDataSource()` Removes all `data-source` elements
`SessionBeanType<T>` | `removeAllDescription()` Removes the `description` element
`SessionBeanType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`SessionBeanType<T>` | `removeAllEjbLocalRef()` Removes all `ejb-local-ref` elements
`SessionBeanType<T>` | `removeAllEjbRef()` Removes all `ejb-ref` elements
`SessionBeanType<T>` | `removeAllEnvEntry()` Removes all `env-entry` elements
`SessionBeanType<T>` | `removeAllIcon()` Removes all `icon` elements
`SessionBeanType<T>` | `removeAllInitMethod()` Removes all `init-method` elements
`SessionBeanType<T>` | `removeAllMessageDestinationRef()` Removes all `message-destination-ref` elements
`SessionBeanType<T>` | `removeAllPersistenceContextRef()` Removes all `persistence-context-ref` elements
`SessionBeanType<T>` | `removeAllPersistenceUnitRef()` Removes all `persistence-unit-ref` elements
`SessionBeanType<T>` | `removeAllPostActivate()` Removes all `post-activate` elements
`SessionBeanType<T>` | `removeAllPostConstruct()` Removes all `post-construct` elements
`SessionBeanType<T>` | `removeAllPreDestroy()` Removes all `pre-destroy` elements
`SessionBeanType<T>` | `removeAllPrePassivate()` Removes all `pre-passivate` elements
`SessionBeanType<T>` | `removeAllRemoveMethod()` Removes all `remove-method` elements
`SessionBeanType<T>` | `removeAllResourceEnvRef()` Removes all `resource-env-ref` elements
`SessionBeanType<T>` | `removeAllResourceRef()` Removes all `resource-ref` elements
`SessionBeanType<T>` | `removeAllSecurityRoleRef()` Removes all `security-role-ref` elements
`SessionBeanType<T>` | `removeAllTimer()` Removes all `timer` elements
`SessionBeanType<T>` | `removeBeforeCompletionMethod()` Removes the `before-completion-method` element
`SessionBeanType<T>` | `removeDependsOn()` Removes the `depends-on` element
`SessionBeanType<T>` | `removeEjbClass()` Removes the `ejb-class` element
`SessionBeanType<T>` | `removeEjbName()` Removes the `ejb-name` element
`SessionBeanType<T>` | `removeHome()` Removes the `home` element
`SessionBeanType<T>` | `removeInitOnStartup()` Removes the `init-on-startup` element
`SessionBeanType<T>` | `removeLocal()` Removes the `local` element
`SessionBeanType<T>` | `removeLocalHome()` Removes the `local-home` element
`SessionBeanType<T>` | `removeMappedName()` Removes the `mapped-name` element
`RemoveMethodType<SessionBeanType<T>>` | `removeMethod()` Returns the `remove-method` element
`SessionBeanType<T>` | `removeRemote()` Removes the `remote` element
`SessionBeanType<T>` | `removeSecurityIdentity()` Removes the `security-identity` element
`SessionBeanType<T>` | `removeServiceEndpoint()` Removes the `service-endpoint` element
`SessionBeanType<T>` | `removeStatefulTimeout()` Removes the `stateful-timeout` element
`SessionBeanType<T>` | `removeTimeoutMethod()` Removes the `timeout-method` element
`ResourceEnvRefType<SessionBeanType<T>>` | `resourceEnvRef()` Returns the `resource-env-ref` element
`ResourceRefType<SessionBeanType<T>>` | `resourceRef()` Returns the `resource-ref` element
`SecurityIdentityType<SessionBeanType<T>>` | `securityIdentity()` If not already created, a new `security-identity` element will be created and returned.
`SecurityRoleRefType<SessionBeanType<T>>` | `securityRoleRef()` Returns the `security-role-ref` element
`SessionBeanType<T>` | `setBusinessLocal(java.lang.String businessLocal)` Creates a new `business-local` element
`SessionBeanType<T>` | `setBusinessLocalList(java.lang.String... values)` Creates for all String objects representing `business-local` elements, a new `business-local` element
`SessionBeanType<T>` | `setBusinessRemote(java.lang.String businessRemote)` Creates a new `business-remote` element
`SessionBeanType<T>` | `setBusinessRemoteList(java.lang.String... values)` Creates for all String objects representing `business-remote` elements, a new `business-remote` element
`SessionBeanType<T>` | `setConcurrencyManagementType(ConcurrencyManagementTypeType concurrencyManagementType)` If not already created, a new `concurrency-management-type` element with the given value will be created.
`SessionBeanType<T>` | `setConcurrencyManagementType(java.lang.String concurrencyManagementType)` If not already created, a new `concurrency-management-type` element with the given value will be created.
`SessionBeanType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`SessionBeanType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`SessionBeanType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`SessionBeanType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`SessionBeanType<T>` | `setEjbClass(java.lang.String ejbClass)` If not already created, a new `ejb-class` element with the given value will be created.
`SessionBeanType<T>` | `setEjbName(java.lang.String ejbName)` If not already created, a new `ejb-name` element with the given value will be created.
`SessionBeanType<T>` | `setHome(java.lang.String home)` If not already created, a new `home` element with the given value will be created.
`SessionBeanType<T>` | `setInitOnStartup(java.lang.Boolean initOnStartup)` If not already created, a new `init-on-startup` element with the given value will be created.
`SessionBeanType<T>` | `setLocal(java.lang.String local)` If not already created, a new `local` element with the given value will be created.
`SessionBeanType<T>` | `setLocalHome(java.lang.String localHome)` If not already created, a new `local-home` element with the given value will be created.
`SessionBeanType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`SessionBeanType<T>` | `setRemote(java.lang.String remote)` If not already created, a new `remote` element with the given value will be created.
`SessionBeanType<T>` | `setServiceEndpoint(java.lang.String serviceEndpoint)` If not already created, a new `service-endpoint` element with the given value will be created.
`SessionBeanType<T>` | `setSessionType(SessionTypeType sessionType)` If not already created, a new `session-type` element with the given value will be created.
`SessionBeanType<T>` | `setSessionType(java.lang.String sessionType)` If not already created, a new `session-type` element with the given value will be created.
`SessionBeanType<T>` | `setTransactionType(java.lang.String transactionType)` If not already created, a new `transaction-type` element with the given value will be created.
`SessionBeanType<T>` | `setTransactionType(TransactionTypeType transactionType)` If not already created, a new `transaction-type` element with the given value will be created.
`StatefulTimeoutType<SessionBeanType<T>>` | `statefulTimeout()` If not already created, a new `stateful-timeout` element will be created and returned.
`NamedMethodType<SessionBeanType<T>>` | `timeoutMethod()` If not already created, a new `timeout-method` element will be created and returned.
`TimerType<SessionBeanType<T>>` | `timer()` Returns the `timer` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionBeanTypeImpl

    public SessionBeanTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node)

### SessionBeanTypeImpl

    public SessionBeanTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node,
                               org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public SessionBeanType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### setDescriptionList

    public SessionBeanType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `SessionBeanType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `SessionBeanType`

### removeAllDescription

    public SessionBeanType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `SessionBeanType<T>`
  Returns:
    list of `description`

### setDisplayName

    public SessionBeanType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Specified by:
    `setDisplayName` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### setDisplayNameList

    public SessionBeanType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Specified by:
    `setDisplayNameList` in interface `SessionBeanType<T>`
  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `SessionBeanType`

### removeAllDisplayName

    public SessionBeanType<T> removeAllDisplayName()

  Removes the `display-name` element

  Specified by:
    `removeAllDisplayName` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### getDisplayNameList

    public java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Specified by:
    `getDisplayNameList` in interface `SessionBeanType<T>`
  Returns:
    list of `display-name`

### removeAllIcon

    public SessionBeanType<T> removeAllIcon()

  Removes all `icon` elements

  Specified by:
    `removeAllIcon` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### icon

    public IconType<SessionBeanType<T>> icon()

  Returns the `icon` element

  Specified by:
    `icon` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `icon`

### getIconList

    public java.util.List<IconType<SessionBeanType<T>>> getIconList()

  Returns all `icon` elements

  Specified by:
    `getIconList` in interface `SessionBeanType<T>`
  Returns:
    list of `icon`

### removeAllEnvEntry

    public SessionBeanType<T> removeAllEnvEntry()

  Removes all `env-entry` elements

  Specified by:
    `removeAllEnvEntry` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### envEntry

    public EnvEntryType<SessionBeanType<T>> envEntry()

  Returns the `env-entry` element

  Specified by:
    `envEntry` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `env-entry`

### getEnvEntryList

    public java.util.List<EnvEntryType<SessionBeanType<T>>> getEnvEntryList()

  Returns all `env-entry` elements

  Specified by:
    `getEnvEntryList` in interface `SessionBeanType<T>`
  Returns:
    list of `env-entry`

### removeAllEjbRef

    public SessionBeanType<T> removeAllEjbRef()

  Removes all `ejb-ref` elements

  Specified by:
    `removeAllEjbRef` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### ejbRef

    public EjbRefType<SessionBeanType<T>> ejbRef()

  Returns the `ejb-ref` element

  Specified by:
    `ejbRef` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `ejb-ref`

### getEjbRefList

    public java.util.List<EjbRefType<SessionBeanType<T>>> getEjbRefList()

  Returns all `ejb-ref` elements

  Specified by:
    `getEjbRefList` in interface `SessionBeanType<T>`
  Returns:
    list of `ejb-ref`

### removeAllEjbLocalRef

    public SessionBeanType<T> removeAllEjbLocalRef()

  Removes all `ejb-local-ref` elements

  Specified by:
    `removeAllEjbLocalRef` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### ejbLocalRef

    public EjbLocalRefType<SessionBeanType<T>> ejbLocalRef()

  Returns the `ejb-local-ref` element

  Specified by:
    `ejbLocalRef` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `ejb-local-ref`

### getEjbLocalRefList

    public java.util.List<EjbLocalRefType<SessionBeanType<T>>> getEjbLocalRefList()

  Returns all `ejb-local-ref` elements

  Specified by:
    `getEjbLocalRefList` in interface `SessionBeanType<T>`
  Returns:
    list of `ejb-local-ref`

### removeAllResourceRef

    public SessionBeanType<T> removeAllResourceRef()

  Removes all `resource-ref` elements

  Specified by:
    `removeAllResourceRef` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### resourceRef

    public ResourceRefType<SessionBeanType<T>> resourceRef()

  Returns the `resource-ref` element

  Specified by:
    `resourceRef` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `resource-ref`

### getResourceRefList

    public java.util.List<ResourceRefType<SessionBeanType<T>>> getResourceRefList()

  Returns all `resource-ref` elements

  Specified by:
    `getResourceRefList` in interface `SessionBeanType<T>`
  Returns:
    list of `resource-ref`

### removeAllResourceEnvRef

    public SessionBeanType<T> removeAllResourceEnvRef()

  Removes all `resource-env-ref` elements

  Specified by:
    `removeAllResourceEnvRef` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### resourceEnvRef

    public ResourceEnvRefType<SessionBeanType<T>> resourceEnvRef()

  Returns the `resource-env-ref` element

  Specified by:
    `resourceEnvRef` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `resource-env-ref`

### getResourceEnvRefList

    public java.util.List<ResourceEnvRefType<SessionBeanType<T>>> getResourceEnvRefList()

  Returns all `resource-env-ref` elements

  Specified by:
    `getResourceEnvRefList` in interface `SessionBeanType<T>`
  Returns:
    list of `resource-env-ref`

### removeAllMessageDestinationRef

    public SessionBeanType<T> removeAllMessageDestinationRef()

  Removes all `message-destination-ref` elements

  Specified by:
    `removeAllMessageDestinationRef` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### messageDestinationRef

    public MessageDestinationRefType<SessionBeanType<T>> messageDestinationRef()

  Returns the `message-destination-ref` element

  Specified by:
    `messageDestinationRef` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `message-destination-ref`

### getMessageDestinationRefList

    public java.util.List<MessageDestinationRefType<SessionBeanType<T>>> getMessageDestinationRefList()

  Returns all `message-destination-ref` elements

  Specified by:
    `getMessageDestinationRefList` in interface `SessionBeanType<T>`
  Returns:
    list of `message-destination-ref`

### removeAllPersistenceContextRef

    public SessionBeanType<T> removeAllPersistenceContextRef()

  Removes all `persistence-context-ref` elements

  Specified by:
    `removeAllPersistenceContextRef` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### persistenceContextRef

    public PersistenceContextRefType<SessionBeanType<T>> persistenceContextRef()

  Returns the `persistence-context-ref` element

  Specified by:
    `persistenceContextRef` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `persistence-context-ref`

### getPersistenceContextRefList

    public java.util.List<PersistenceContextRefType<SessionBeanType<T>>> getPersistenceContextRefList()

  Returns all `persistence-context-ref` elements

  Specified by:
    `getPersistenceContextRefList` in interface `SessionBeanType<T>`
  Returns:
    list of `persistence-context-ref`

### removeAllPersistenceUnitRef

    public SessionBeanType<T> removeAllPersistenceUnitRef()

  Removes all `persistence-unit-ref` elements

  Specified by:
    `removeAllPersistenceUnitRef` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### persistenceUnitRef

    public PersistenceUnitRefType<SessionBeanType<T>> persistenceUnitRef()

  Returns the `persistence-unit-ref` element

  Specified by:
    `persistenceUnitRef` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `persistence-unit-ref`

### getPersistenceUnitRefList

    public java.util.List<PersistenceUnitRefType<SessionBeanType<T>>> getPersistenceUnitRefList()

  Returns all `persistence-unit-ref` elements

  Specified by:
    `getPersistenceUnitRefList` in interface `SessionBeanType<T>`
  Returns:
    list of `persistence-unit-ref`

### removeAllPostConstruct

    public SessionBeanType<T> removeAllPostConstruct()

  Removes all `post-construct` elements

  Specified by:
    `removeAllPostConstruct` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### postConstruct

    public LifecycleCallbackType<SessionBeanType<T>> postConstruct()

  Returns the `post-construct` element

  Specified by:
    `postConstruct` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `post-construct`

### getPostConstructList

    public java.util.List<LifecycleCallbackType<SessionBeanType<T>>> getPostConstructList()

  Returns all `post-construct` elements

  Specified by:
    `getPostConstructList` in interface `SessionBeanType<T>`
  Returns:
    list of `post-construct`

### removeAllPreDestroy

    public SessionBeanType<T> removeAllPreDestroy()

  Removes all `pre-destroy` elements

  Specified by:
    `removeAllPreDestroy` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### preDestroy

    public LifecycleCallbackType<SessionBeanType<T>> preDestroy()

  Returns the `pre-destroy` element

  Specified by:
    `preDestroy` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `pre-destroy`

### getPreDestroyList

    public java.util.List<LifecycleCallbackType<SessionBeanType<T>>> getPreDestroyList()

  Returns all `pre-destroy` elements

  Specified by:
    `getPreDestroyList` in interface `SessionBeanType<T>`
  Returns:
    list of `pre-destroy`

### removeAllDataSource

    public SessionBeanType<T> removeAllDataSource()

  Removes all `data-source` elements

  Specified by:
    `removeAllDataSource` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### dataSource

    public DataSourceType<SessionBeanType<T>> dataSource()

  Returns the `data-source` element

  Specified by:
    `dataSource` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `data-source`

### getDataSourceList

    public java.util.List<DataSourceType<SessionBeanType<T>>> getDataSourceList()

  Returns all `data-source` elements

  Specified by:
    `getDataSourceList` in interface `SessionBeanType<T>`
  Returns:
    list of `data-source`

### setEjbName

    public SessionBeanType<T> setEjbName(java.lang.String ejbName)

  If not already created, a new `ejb-name` element with the given value will be created. Otherwise, the existing `ejb-name` element will be updated with the given value.

  Specified by:
    `setEjbName` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### removeEjbName

    public SessionBeanType<T> removeEjbName()

  Removes the `ejb-name` element

  Specified by:
    `removeEjbName` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### getEjbName

    public java.lang.String getEjbName()

  Returns the `ejb-name` element

  Specified by:
    `getEjbName` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `ejb-name`

### setMappedName

    public SessionBeanType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Specified by:
    `setMappedName` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### removeMappedName

    public SessionBeanType<T> removeMappedName()

  Removes the `mapped-name` element

  Specified by:
    `removeMappedName` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### getMappedName

    public java.lang.String getMappedName()

  Returns the `mapped-name` element

  Specified by:
    `getMappedName` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `mapped-name`

### setHome

    public SessionBeanType<T> setHome(java.lang.String home)

  If not already created, a new `home` element with the given value will be created. Otherwise, the existing `home` element will be updated with the given value.

  Specified by:
    `setHome` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### removeHome

    public SessionBeanType<T> removeHome()

  Removes the `home` element

  Specified by:
    `removeHome` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### getHome

    public java.lang.String getHome()

  Returns the `home` element

  Specified by:
    `getHome` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `home`

### setRemote

    public SessionBeanType<T> setRemote(java.lang.String remote)

  If not already created, a new `remote` element with the given value will be created. Otherwise, the existing `remote` element will be updated with the given value.

  Specified by:
    `setRemote` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### removeRemote

    public SessionBeanType<T> removeRemote()

  Removes the `remote` element

  Specified by:
    `removeRemote` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### getRemote

    public java.lang.String getRemote()

  Returns the `remote` element

  Specified by:
    `getRemote` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `remote`

### setLocalHome

    public SessionBeanType<T> setLocalHome(java.lang.String localHome)

  If not already created, a new `local-home` element with the given value will be created. Otherwise, the existing `local-home` element will be updated with the given value.

  Specified by:
    `setLocalHome` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### removeLocalHome

    public SessionBeanType<T> removeLocalHome()

  Removes the `local-home` element

  Specified by:
    `removeLocalHome` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### getLocalHome

    public java.lang.String getLocalHome()

  Returns the `local-home` element

  Specified by:
    `getLocalHome` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `local-home`

### setLocal

    public SessionBeanType<T> setLocal(java.lang.String local)

  If not already created, a new `local` element with the given value will be created. Otherwise, the existing `local` element will be updated with the given value.

  Specified by:
    `setLocal` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### removeLocal

    public SessionBeanType<T> removeLocal()

  Removes the `local` element

  Specified by:
    `removeLocal` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### getLocal

    public java.lang.String getLocal()

  Returns the `local` element

  Specified by:
    `getLocal` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `local`

### setBusinessLocal

    public SessionBeanType<T> setBusinessLocal(java.lang.String businessLocal)

  Creates a new `business-local` element

  Specified by:
    `setBusinessLocal` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### setBusinessLocalList

    public SessionBeanType<T> setBusinessLocalList(java.lang.String... values)

  Creates for all String objects representing `business-local` elements, a new `business-local` element

  Specified by:
    `setBusinessLocalList` in interface `SessionBeanType<T>`
  Parameters:
    `list` - of `business-local` objects
  Returns:
    the current instance of `SessionBeanType`

### removeAllBusinessLocal

    public SessionBeanType<T> removeAllBusinessLocal()

  Removes the `business-local` element

  Specified by:
    `removeAllBusinessLocal` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### getBusinessLocalList

    public java.util.List<java.lang.String> getBusinessLocalList()

  Returns all `business-local` elements

  Specified by:
    `getBusinessLocalList` in interface `SessionBeanType<T>`
  Returns:
    list of `business-local`

### setBusinessRemote

    public SessionBeanType<T> setBusinessRemote(java.lang.String businessRemote)

  Creates a new `business-remote` element

  Specified by:
    `setBusinessRemote` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### setBusinessRemoteList

    public SessionBeanType<T> setBusinessRemoteList(java.lang.String... values)

  Creates for all String objects representing `business-remote` elements, a new `business-remote` element

  Specified by:
    `setBusinessRemoteList` in interface `SessionBeanType<T>`
  Parameters:
    `list` - of `business-remote` objects
  Returns:
    the current instance of `SessionBeanType`

### removeAllBusinessRemote

    public SessionBeanType<T> removeAllBusinessRemote()

  Removes the `business-remote` element

  Specified by:
    `removeAllBusinessRemote` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### getBusinessRemoteList

    public java.util.List<java.lang.String> getBusinessRemoteList()

  Returns all `business-remote` elements

  Specified by:
    `getBusinessRemoteList` in interface `SessionBeanType<T>`
  Returns:
    list of `business-remote`

### localBean

    public SessionBeanType<T> localBean()

  Specified by:
    `localBean` in interface `SessionBeanType<T>`

### isLocalBean

    public java.lang.Boolean isLocalBean()

  Specified by:
    `isLocalBean` in interface `SessionBeanType<T>`

### setServiceEndpoint

    public SessionBeanType<T> setServiceEndpoint(java.lang.String serviceEndpoint)

  If not already created, a new `service-endpoint` element with the given value will be created. Otherwise, the existing `service-endpoint` element will be updated with the given value.

  Specified by:
    `setServiceEndpoint` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### removeServiceEndpoint

    public SessionBeanType<T> removeServiceEndpoint()

  Removes the `service-endpoint` element

  Specified by:
    `removeServiceEndpoint` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### getServiceEndpoint

    public java.lang.String getServiceEndpoint()

  Returns the `service-endpoint` element

  Specified by:
    `getServiceEndpoint` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `service-endpoint`

### setEjbClass

    public SessionBeanType<T> setEjbClass(java.lang.String ejbClass)

  If not already created, a new `ejb-class` element with the given value will be created. Otherwise, the existing `ejb-class` element will be updated with the given value.

  Specified by:
    `setEjbClass` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### removeEjbClass

    public SessionBeanType<T> removeEjbClass()

  Removes the `ejb-class` element

  Specified by:
    `removeEjbClass` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### getEjbClass

    public java.lang.String getEjbClass()

  Returns the `ejb-class` element

  Specified by:
    `getEjbClass` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `ejb-class`

### setSessionType

    public SessionBeanType<T> setSessionType(SessionTypeType sessionType)

  If not already created, a new `session-type` element with the given value will be created. Otherwise, the existing `session-type` element will be updated with the given value.

  Specified by:
    `setSessionType` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### setSessionType

    public SessionBeanType<T> setSessionType(java.lang.String sessionType)

  If not already created, a new `session-type` element with the given value will be created. Otherwise, the existing `session-type` element will be updated with the given value.

  Specified by:
    `setSessionType` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### getSessionType

    public SessionTypeType getSessionType()

  Returns the `session-type` element

  Specified by:
    `getSessionType` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `session-type`

### getSessionTypeAsString

    public java.lang.String getSessionTypeAsString()

  Returns the `session-type` element

  Specified by:
    `getSessionTypeAsString` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `session-type`

### removeStatefulTimeout

    public SessionBeanType<T> removeStatefulTimeout()

  Removes the `stateful-timeout` element

  Specified by:
    `removeStatefulTimeout` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### statefulTimeout

    public StatefulTimeoutType<SessionBeanType<T>> statefulTimeout()

  If not already created, a new `stateful-timeout` element will be created and returned. Otherwise, the existing `stateful-timeout` element will be returned.

  Specified by:
    `statefulTimeout` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `stateful-timeout`

### removeTimeoutMethod

    public SessionBeanType<T> removeTimeoutMethod()

  Removes the `timeout-method` element

  Specified by:
    `removeTimeoutMethod` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### timeoutMethod

    public NamedMethodType<SessionBeanType<T>> timeoutMethod()

  If not already created, a new `timeout-method` element will be created and returned. Otherwise, the existing `timeout-method` element will be returned.

  Specified by:
    `timeoutMethod` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `timeout-method`

### removeAllTimer

    public SessionBeanType<T> removeAllTimer()

  Removes all `timer` elements

  Specified by:
    `removeAllTimer` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### timer

    public TimerType<SessionBeanType<T>> timer()

  Returns the `timer` element

  Specified by:
    `timer` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `timer`

### getTimerList

    public java.util.List<TimerType<SessionBeanType<T>>> getTimerList()

  Returns all `timer` elements

  Specified by:
    `getTimerList` in interface `SessionBeanType<T>`
  Returns:
    list of `timer`

### setInitOnStartup

    public SessionBeanType<T> setInitOnStartup(java.lang.Boolean initOnStartup)

  If not already created, a new `init-on-startup` element with the given value will be created. Otherwise, the existing `init-on-startup` element will be updated with the given value.

  Specified by:
    `setInitOnStartup` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### removeInitOnStartup

    public SessionBeanType<T> removeInitOnStartup()

  Removes the `init-on-startup` element

  Specified by:
    `removeInitOnStartup` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### isInitOnStartup

    public java.lang.Boolean isInitOnStartup()

  Returns the `init-on-startup` element

  Specified by:
    `isInitOnStartup` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `init-on-startup`

### setConcurrencyManagementType

    public SessionBeanType<T> setConcurrencyManagementType(ConcurrencyManagementTypeType concurrencyManagementType)

  If not already created, a new `concurrency-management-type` element with the given value will be created. Otherwise, the existing `concurrency-management-type` element will be updated with the given value.

  Specified by:
    `setConcurrencyManagementType` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### setConcurrencyManagementType

    public SessionBeanType<T> setConcurrencyManagementType(java.lang.String concurrencyManagementType)

  If not already created, a new `concurrency-management-type` element with the given value will be created. Otherwise, the existing `concurrency-management-type` element will be updated with the given value.

  Specified by:
    `setConcurrencyManagementType` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### getConcurrencyManagementType

    public ConcurrencyManagementTypeType getConcurrencyManagementType()

  Returns the `concurrency-management-type` element

  Specified by:
    `getConcurrencyManagementType` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `concurrency-management-type`

### getConcurrencyManagementTypeAsString

    public java.lang.String getConcurrencyManagementTypeAsString()

  Returns the `concurrency-management-type` element

  Specified by:
    `getConcurrencyManagementTypeAsString` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `concurrency-management-type`

### removeAllConcurrentMethod

    public SessionBeanType<T> removeAllConcurrentMethod()

  Removes all `concurrent-method` elements

  Specified by:
    `removeAllConcurrentMethod` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### concurrentMethod

    public ConcurrentMethodType<SessionBeanType<T>> concurrentMethod()

  Returns the `concurrent-method` element

  Specified by:
    `concurrentMethod` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `concurrent-method`

### getConcurrentMethodList

    public java.util.List<ConcurrentMethodType<SessionBeanType<T>>> getConcurrentMethodList()

  Returns all `concurrent-method` elements

  Specified by:
    `getConcurrentMethodList` in interface `SessionBeanType<T>`
  Returns:
    list of `concurrent-method`

### removeDependsOn

    public SessionBeanType<T> removeDependsOn()

  Removes the `depends-on` element

  Specified by:
    `removeDependsOn` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### dependsOn

    public DependsOnType<SessionBeanType<T>> dependsOn()

  If not already created, a new `depends-on` element will be created and returned. Otherwise, the existing `depends-on` element will be returned.

  Specified by:
    `dependsOn` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `depends-on`

### removeAllInitMethod

    public SessionBeanType<T> removeAllInitMethod()

  Removes all `init-method` elements

  Specified by:
    `removeAllInitMethod` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### initMethod

    public InitMethodType<SessionBeanType<T>> initMethod()

  Returns the `init-method` element

  Specified by:
    `initMethod` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `init-method`

### getInitMethodList

    public java.util.List<InitMethodType<SessionBeanType<T>>> getInitMethodList()

  Returns all `init-method` elements

  Specified by:
    `getInitMethodList` in interface `SessionBeanType<T>`
  Returns:
    list of `init-method`

### removeAllRemoveMethod

    public SessionBeanType<T> removeAllRemoveMethod()

  Removes all `remove-method` elements

  Specified by:
    `removeAllRemoveMethod` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### removeMethod

    public RemoveMethodType<SessionBeanType<T>> removeMethod()

  Returns the `remove-method` element

  Specified by:
    `removeMethod` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `remove-method`

### getRemoveMethodList

    public java.util.List<RemoveMethodType<SessionBeanType<T>>> getRemoveMethodList()

  Returns all `remove-method` elements

  Specified by:
    `getRemoveMethodList` in interface `SessionBeanType<T>`
  Returns:
    list of `remove-method`

### removeAllAsyncMethod

    public SessionBeanType<T> removeAllAsyncMethod()

  Removes all `async-method` elements

  Specified by:
    `removeAllAsyncMethod` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### asyncMethod

    public AsyncMethodType<SessionBeanType<T>> asyncMethod()

  Returns the `async-method` element

  Specified by:
    `asyncMethod` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `async-method`

### getAsyncMethodList

    public java.util.List<AsyncMethodType<SessionBeanType<T>>> getAsyncMethodList()

  Returns all `async-method` elements

  Specified by:
    `getAsyncMethodList` in interface `SessionBeanType<T>`
  Returns:
    list of `async-method`

### setTransactionType

    public SessionBeanType<T> setTransactionType(TransactionTypeType transactionType)

  If not already created, a new `transaction-type` element with the given value will be created. Otherwise, the existing `transaction-type` element will be updated with the given value.

  Specified by:
    `setTransactionType` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### setTransactionType

    public SessionBeanType<T> setTransactionType(java.lang.String transactionType)

  If not already created, a new `transaction-type` element with the given value will be created. Otherwise, the existing `transaction-type` element will be updated with the given value.

  Specified by:
    `setTransactionType` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### getTransactionType

    public TransactionTypeType getTransactionType()

  Returns the `transaction-type` element

  Specified by:
    `getTransactionType` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `transaction-type`

### getTransactionTypeAsString

    public java.lang.String getTransactionTypeAsString()

  Returns the `transaction-type` element

  Specified by:
    `getTransactionTypeAsString` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `transaction-type`

### removeAfterBeginMethod

    public SessionBeanType<T> removeAfterBeginMethod()

  Removes the `after-begin-method` element

  Specified by:
    `removeAfterBeginMethod` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### afterBeginMethod

    public NamedMethodType<SessionBeanType<T>> afterBeginMethod()

  If not already created, a new `after-begin-method` element will be created and returned. Otherwise, the existing `after-begin-method` element will be returned.

  Specified by:
    `afterBeginMethod` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `after-begin-method`

### removeBeforeCompletionMethod

    public SessionBeanType<T> removeBeforeCompletionMethod()

  Removes the `before-completion-method` element

  Specified by:
    `removeBeforeCompletionMethod` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### beforeCompletionMethod

    public NamedMethodType<SessionBeanType<T>> beforeCompletionMethod()

  If not already created, a new `before-completion-method` element will be created and returned. Otherwise, the existing `before-completion-method` element will be returned.

  Specified by:
    `beforeCompletionMethod` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `before-completion-method`

### removeAfterCompletionMethod

    public SessionBeanType<T> removeAfterCompletionMethod()

  Removes the `after-completion-method` element

  Specified by:
    `removeAfterCompletionMethod` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### afterCompletionMethod

    public NamedMethodType<SessionBeanType<T>> afterCompletionMethod()

  If not already created, a new `after-completion-method` element will be created and returned. Otherwise, the existing `after-completion-method` element will be returned.

  Specified by:
    `afterCompletionMethod` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `after-completion-method`

### removeAllAroundInvoke

    public SessionBeanType<T> removeAllAroundInvoke()

  Removes all `around-invoke` elements

  Specified by:
    `removeAllAroundInvoke` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### aroundInvoke

    public AroundInvokeType<SessionBeanType<T>> aroundInvoke()

  Returns the `around-invoke` element

  Specified by:
    `aroundInvoke` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `around-invoke`

### getAroundInvokeList

    public java.util.List<AroundInvokeType<SessionBeanType<T>>> getAroundInvokeList()

  Returns all `around-invoke` elements

  Specified by:
    `getAroundInvokeList` in interface `SessionBeanType<T>`
  Returns:
    list of `around-invoke`

### removeAllAroundTimeout

    public SessionBeanType<T> removeAllAroundTimeout()

  Removes all `around-timeout` elements

  Specified by:
    `removeAllAroundTimeout` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### aroundTimeout

    public AroundTimeoutType<SessionBeanType<T>> aroundTimeout()

  Returns the `around-timeout` element

  Specified by:
    `aroundTimeout` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `around-timeout`

### getAroundTimeoutList

    public java.util.List<AroundTimeoutType<SessionBeanType<T>>> getAroundTimeoutList()

  Returns all `around-timeout` elements

  Specified by:
    `getAroundTimeoutList` in interface `SessionBeanType<T>`
  Returns:
    list of `around-timeout`

### removeAllPostActivate

    public SessionBeanType<T> removeAllPostActivate()

  Removes all `post-activate` elements

  Specified by:
    `removeAllPostActivate` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### postActivate

    public LifecycleCallbackType<SessionBeanType<T>> postActivate()

  Returns the `post-activate` element

  Specified by:
    `postActivate` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `post-activate`

### getPostActivateList

    public java.util.List<LifecycleCallbackType<SessionBeanType<T>>> getPostActivateList()

  Returns all `post-activate` elements

  Specified by:
    `getPostActivateList` in interface `SessionBeanType<T>`
  Returns:
    list of `post-activate`

### removeAllPrePassivate

    public SessionBeanType<T> removeAllPrePassivate()

  Removes all `pre-passivate` elements

  Specified by:
    `removeAllPrePassivate` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### prePassivate

    public LifecycleCallbackType<SessionBeanType<T>> prePassivate()

  Returns the `pre-passivate` element

  Specified by:
    `prePassivate` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `pre-passivate`

### getPrePassivateList

    public java.util.List<LifecycleCallbackType<SessionBeanType<T>>> getPrePassivateList()

  Returns all `pre-passivate` elements

  Specified by:
    `getPrePassivateList` in interface `SessionBeanType<T>`
  Returns:
    list of `pre-passivate`

### removeAllSecurityRoleRef

    public SessionBeanType<T> removeAllSecurityRoleRef()

  Removes all `security-role-ref` elements

  Specified by:
    `removeAllSecurityRoleRef` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### securityRoleRef

    public SecurityRoleRefType<SessionBeanType<T>> securityRoleRef()

  Returns the `security-role-ref` element

  Specified by:
    `securityRoleRef` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `security-role-ref`

### getSecurityRoleRefList

    public java.util.List<SecurityRoleRefType<SessionBeanType<T>>> getSecurityRoleRefList()

  Returns all `security-role-ref` elements

  Specified by:
    `getSecurityRoleRefList` in interface `SessionBeanType<T>`
  Returns:
    list of `security-role-ref`

### removeSecurityIdentity

    public SessionBeanType<T> removeSecurityIdentity()

  Removes the `security-identity` element

  Specified by:
    `removeSecurityIdentity` in interface `SessionBeanType<T>`
  Returns:
    the current instance of `SessionBeanType`

### securityIdentity

    public SecurityIdentityType<SessionBeanType<T>> securityIdentity()

  If not already created, a new `security-identity` element will be created and returned. Otherwise, the existing `security-identity` element will be returned.

  Specified by:
    `securityIdentity` in interface `SessionBeanType<T>`
  Returns:
    the node defined for the element `security-identity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD